Bug 630279 - (ghc-email-validate) Review Request: ghc-email-validate - Validating an email address string against RFC 5322
Review Request: ghc-email-validate - Validating an email address string again...
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On: 630278
Blocks: yesod yesod-platform
  Show dependency treegraph
 
Reported: 2010-09-04 11:58 EDT by Ben Boeckel
Modified: 2013-06-24 06:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 06:25:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michel: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-09-04 11:58:43 EDT
Spec URL: http://benboeckel.net/packaging/ghc-email-validate/ghc-email-validate.spec
SRPM URL: http://benboeckel.net/packaging/ghc-email-validate/ghc-email-validate-0.2.5-1.fc14.src.rpm
Description:
Validating an email address string against RFC 5322.

% lintmock fedora-14-x86_64-bb
ghc-email-validate.src: W: strange-permission email-validate-0.2.5.tar.gz 0640L
ghc-email-validate.src: W: strange-permission ghc-email-validate.spec 0640L
ghc-email-validate-prof.x86_64: E: devel-dependency ghc-email-validate-devel
ghc-email-validate-prof.x86_64: W: no-documentation
ghc-email-validate-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/email-validate-0.2.5/libHSemail-validate-0.2.5_p.a
4 packages and 0 specfiles checked; 1 errors, 4 warnings.
Comment 1 Jens Petersen 2011-03-07 04:20:51 EST
Now a dependency of yesod-form.
Comment 2 Narasimhan 2011-08-14 03:59:42 EDT
Will take this up.

Can you update spec file and srpm to cabal2spec-0.24?
Comment 3 Ben Boeckel 2012-03-02 22:31:09 EST
Spec URL: http://benboeckel.net/packaging/ghc-email-validate/ghc-email-validate.spec
SRPM URL: http://benboeckel.net/packaging/ghc-email-validate/ghc-email-validate-0.2.8-1.fc18.src.rpm

ghc-email-validate.src: W: strange-permission email-validate-0.2.8.tar.gz 0640L
ghc-email-validate.src: W: strange-permission ghc-email-validate.spec 0640L
3 packages and 0 specfiles checked; 0 errors, 2 warnings.
Comment 4 Michel Alexandre Salim 2013-03-20 02:15:58 EDT
Hi Ben,

email-validate-1.0.0 is out (though the latest yesod-form is fine with email-validate >= 0.2.6).

Will review the existing package if you don't have time to update the spec.
Comment 5 Jens Petersen 2013-06-24 06:25:55 EDT
Closing out old Haskell Package Reviews that use deprecated macros
like %ghc_devel_package, etc, which are no longer available in F20 Rawhide.  Please update your package using cabal-rpm-0.8.x or later and re-open
or file a new Review Request.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.